/*	flist_none.c		4/24/91
 *
 * Copyright 1991  Perry R. Ross
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation without fee is hereby granted, subject to the restrictions
 * detailed in the README file, which is included here by reference.
 * Any other use requires written permission from the author.  This software
 * is distributed "as is" without any warranty, including any implied
 * warranties of merchantability or fitness for a particular purpose.
 * The author shall not be liable for any damages resulting from the
 * use of this software.  By using this software, the user agrees
 * to these terms.
 */

#include "ldb.h"


/*----------------------------------------------------------------------
 *	filelist -- generate a list of all matching files.
 *
 * This is a dummy function that can be used to disable filename
 * matching.  It just copies the pattern into a 1-element list
 * and returns it.  This can be used if flist_unix does not work,
 * or if filename matching is not desired.
 *----------------------------------------------------------------------
 */

struct flist *filelist(ptn)
char *ptn;
{
struct flist *cur;

if ( (cur = (struct flist *) calloc(sizeof(struct flist),1)) == NULL)
	fatal("Out of memory!");
cur->name = save(ptn);
return(cur);
}
